Package org.apache.sling.jcr.jackrabbit.accessmanager

# Class PrivilegesInfo.AccessRights

java.lang.Object
org.apache.sling.jcr.jackrabbit.accessmanager.PrivilegesInfo.AccessRights

Enclosing class:
  PrivilegesInfo

public static class PrivilegesInfo.AccessRights extends Object
Wrapper class that holds the set of Privileges that are granted and/or denied for a specific principal.

## Constructor Summary

Constructors
Constructor
Description
`AccessRights()`

## Method Summary

Modifier and Type
Method
Description
`Set<javax.jcr.security.Privilege>`
`getDenied()`
`Set<javax.jcr.security.Privilege>`
`getGranted()`
`String`
`getPrivilegeSetDisplayName(Locale locale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessRights

public AccessRights()

## Method Details

### getGranted

public Set<javax.jcr.security.Privilege> getGranted()

### getDenied

public Set<javax.jcr.security.Privilege> getDenied()

### getPrivilegeSetDisplayName

public String getPrivilegeSetDisplayName(Locale locale)